spring:
  datasource:
    platform: mysql

db:
  num: 1
  url:
    0: jdbc:mysql://wfc-mysql:3306/wfc_config_db?characterEncoding=utf8&connectTimeout=1000&socketTimeout=3000&autoReconnect=true&useUnicode=true&useSSL=false&serverTimezone=UTC
  user: root
  password: 123456

nacos:
  naming:
    empty-service:
      auto-clean: true
      clean:
        initial-delay-ms: 50000
        period-time-ms: 30000
  # server:
  #   ip: ${NACOS_SERVER_IP}
  #   port: ${NACOS_SERVER_PORT}
  security:
    ignore:
      urls: /,/error,/**/*.css,/**/*.js,/**/*.html,/**/*.map,/**/*.svg,/**/*.png,/**/*.ico,/console-ui/public/**,/v1/auth/**,/v1/console/health/**,/actuator/**,/v1/console/server/**
  core:
    auth:
      system:
        type: nacos
      enabled: false
      default:
        token:
          expire:
            seconds: 18000
          secret:
            key: SecretKey012345678901234567890123456789012345678901234567890123456789
      caching:
        enabled: true
      enable:
        userAgentAuthWhite: false
      server:
        identity:
          key: serverIdentity
          value: security
  istio:
    mcp:
      server:
        enabled: false

management:
  endpoints:
    web:
      exposure:
        include: "*"
  metrics:
    export:
      elastic:
        enabled: false
      influx:
        enabled: false

server:
  tomcat:
    accesslog:
      enabled: true
      pattern: '%h %l %u %t "%r" %s %b %D %{User-Agent}i %{Request-Source}i'
    basedir: /home/wfc/nacos/tomcat/logs
